### Function

# EBackend ServerSideSource new_user_file

since: 3.6

#### Declaration [src]

    GFile*
    e_server_side_source_new_user_file (
      const gchar* uid
    )

#### Description [src]

Generates a unique file name for a new user-specific data source. If `uid` is non-`NULL` it will be used in the basename of the file, otherwise a unique basename will be generated using e_util_generate_uid().

The returned `GFile` can then be passed to e_server_side_source_new(). Unreference the `GFile` with `g_object_unref()` when finished with it.

Note the data source file itself is not created here, only its name.

Available since: 3.6

#### Parameters

`uid`

  Type: `const gchar*`

  Unique identifier for a data source, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GFile`

The `GFile` for a new data source.

The caller of the function takes ownership of the data, and is responsible for freeing it.